.input {
    &-field-input {
        --padding: 1rem;
        --padding-horizontal: 1rem;
        --border-width: 1px;
        border: var(--border-width) solid var(--input-search-border-color);
        border-radius: var(--border-radius);
        background-color: var(--surface-color);
        padding: calc(var(--padding) - var(--border-width));
        box-sizing: border-box;
        width: 100%;
        min-height: var(--height);
        transition: border-color 0s;
        position: relative;
        z-index: 1;
        line-height: var(--line-height);
        display: block;
    }
    &-search {
        position: relative;
        width: 100%;
        margin-left: 0.4375rem;
        margin-right: 0.4375rem;
        overflow: hidden;
        --border-radius: 22px;

        &-input {
            --height: 42px;
            background-color: var(--input-search-background-color);
            padding: 0 calc(var(--height) + 3px - var(--border-width));
            height: var(--height);
            min-height: var(--height)!important;
            max-height: var(--height)!important;
            border-color: var(--input-search-border-color);
            line-height: var(--height);

            &:focus {
                background-color: transparent;
                border-color: var(--primary-color);
            }
        }
    }
}